<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui" >
    <f:facet name="header">
        <h:graphicImage  name="images/accepted.png"
                        rendered="#{uiBean.parametersRequest.especeStepIsValid}" />
        <h:outputText value="#{titleForAssociateAccordionItem}" />
    </f:facet>


    <p:dataList id="listAssociates"
        value="#{uiBean.parametersRequest.listAssociatesSelected}"
        var="associate" type="unordered"
        rendered="#{uiBean.parametersRequest.especeStepIsValid}">
        <p:column>
            <p:commandLink actionListener="#{uiBean.removeAssociate(associate.file.fileComp.id)}"
                           process="@this"
                           oncomplete="updateAssociate()" >
            <h:outputText
                value="#{associate.localizedFileName}"
                styleClass="#{associate.selected ? 'selected':''}" />
                <p:graphicImage name="images/remove_selection.png"  styleClass="buttonAction" />
            </p:commandLink>
        </p:column>
    </p:dataList>

</html>